Page MenuHomePhabricator

Plan the integration of new WMCS naming schemes into PAWS
Closed, ResolvedPublic

Description

Per the migration of DNS names documented here https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/DNS, the main paws domain of paws.wmflabs.org(as well as paws-public) is outdated and should be changed. That said, there are a few considerations here.

  1. Legacy links will likely need a plan to handle with a redirector or similar (especially for paws-public)
  2. We need to verify if there are any wiki redirector kind of things for paws or paws-public that may need update
  3. A documentation refactor might be needed just to effectively communicate a change because there are so many sources of documentation on paws.
  4. Does this simply become paws.wmcloud.org or is PAWS special enough to get it's own domain? I don't think we have a domain available for it like that, so this is something that might not be on the table anyway.

Event Timeline

Bstorm moved this task from Backlog to Waiting information on the PAWS board.Apr 28 2020, 4:47 PM
Bstorm moved this task from Inbox to Needs discussion on the cloud-services-team (Kanban) board.
aborrero added a subscriber: bd808.

from the 2020-04-29 WMCS team meeting:

  • @bd808 thinks a specific domain might not be useful. Using wmcloud.org seems OK.
  • @Bstorm thinks we don't really need to call this new deployment with a new specific tag (paws V2, paws 2020) because less impact for end users.
JHedden triaged this task as Medium priority.May 5 2020, 4:18 PM

I think this one is functionally done, since we have decisions for now, right @aborrero ?

aborrero closed this task as Resolved.May 19 2020, 11:30 AM
aborrero claimed this task.

Ok, my understanding is we will be using paws.wmcloud.org for the new service, right?